View Issue Details

IDProjectCategoryView StatusLast Update
0019634mantisbtcustom fieldspublic2015-09-06 17:37
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019634: Users without write access to required custom field can't update issue
Description

If there is a custom field that is marked as required-on-update with write access set to MANAGER. Then developers who can update the issue, can no longer update it, otherwise, they get error about required custom field not set.

The correct behavior is to enable such users to update the issue, but not be able to update the custom field that they have no access to update.

Tagsmantishub

Activities

vboctor

vboctor

2015-04-18 03:24

manager   ~0050540

Here is the pull request:
https://github.com/mantisbt/mantisbt/pull/598

Related Changesets

MantisBT: master 0ed1d2d9

2015-04-18 03:23:13

vboctor

Details Diff
Fix required custom field not set on update

Users without write access to a required custom field can't update issue at all.

If there is a custom field that is marked as required-on-update with write access set to MANAGER.
Then developers who can update the issue, can no longer update it, otherwise,
they get error about required custom field not set.

Fixes 0019634
mod - bug_update.php Diff File

Issue History

Date Modified Username Field Change
2015-04-18 03:20 vboctor New Issue
2015-04-18 03:20 vboctor Status new => assigned
2015-04-18 03:20 vboctor Assigned To => vboctor
2015-04-18 03:24 vboctor Note Added: 0050540
2015-04-18 11:24 vboctor Changeset attached => MantisBT master 0ed1d2d9
2015-04-18 11:24 vboctor Status assigned => resolved
2015-04-18 11:24 vboctor Resolution open => fixed
2015-04-18 11:24 vboctor Fixed in Version => 1.3.0-beta.3
2015-04-28 03:34 vboctor Tag Attached: mantishub
2015-09-06 17:37 vboctoradmin Status resolved => closed